import http from '@/http'

export const list = data => http.post('/ls_user_rebuild/api/v1/rules/list', data) // 角色列表
export const getUserRoleList = params =>
  http.get('/api/v1/role/list', { params })// 角色列表查询java
export const getUserRoleDetail = params =>
  http.get('/api/v1/role/details', { params })// 查询角色详情java
export const getDataPermissionMenu = params =>
  http.get('/api/v1/menu/listByDataScope', { params })// 查询系统所有数据权限的菜单java
export const save = data => http.post('/ls_user_rebuild/api/v1/rules/save', data) // 角色保存
export const editRole = data => http.post('/api/v1/role/modify', data) // 编辑角色java
export const saveNewRole = data => http.post('/api/v1/role/save', data) // 保存新角色java
export const del = data => http.post('/api/v1/role/remove', data) // 删除角色java
